package jumapacelaya.gob.mx.infowall.controlador;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

import io.micronaut.http.annotation.Get;
import jakarta.inject.Inject;
import jumapacelaya.gob.mx.infowall.dto.totalPagosHoyDTO;
import jumapacelaya.gob.mx.infowall.servicio.InfowallServicio;

public class InfowallControlador {

    @Inject
    InfowallServicio servicio;

    @Get("/totalpagoshoy/{entidad}/{punto}")
    public totalPagosHoyDTO obtenerTotalPagosHoy(String entidad, String punto) {
        List<Integer> entidadIds = Arrays.stream(entidad.split(","))
                                        .map(String::trim)
                                        .map(Integer::parseInt)
                                        .collect(Collectors.toList());

        List<Integer> puntoIds = Arrays.stream(punto.split(","))
                                    .map(String::trim)
                                    .map(Integer::parseInt)
                                    .collect(Collectors.toList());

        return servicio.obtenerTotalPagosHoy(entidadIds, puntoIds);
    }

}
